Subject: RE: [bmwg] Comments on draft-popoviciu-bmwg-ipv6benchmarking-01

From: "Chip Popoviciu \(cpopovic\)" <[email-masked]>
Date: Mon, 2 Oct 2006 07:36:07 -0400

Sven
 
Thank you very much for your comments. Please see below some answers along with the actions taken. <c></c>
 
Best Regards,
Chip

________________________________

From: Sven Lanckmans (slanckma) 
Sent: Tuesday, August 29, 2006 5:45 AM
To: [email-masked]
Subject: [bmwg] Comments on draft-popoviciu-bmwg-ipv6benchmarking-01

Hi,

some cosmetic comments (I'm not a native English speaker, so may need to be confirmed)

Ch. 4.1 page 4 : 'whilte the later' -> 'while the latter'
Ch. 5.2.1 page 9 : 'SHOULD be use for' -> 'SHOULD be used for' 
<c>Done</c> 

Other comments

Ch. 4.1.2 page 4 : 
a) Is there any specific reason you write 'The recommend layer 2 packet sizes' instead of 'The following frame size SHOULD be' (like in Ch. 4.1.1)?
If not, for consistency it would be better that it's as in Ch 4.1.1 
<c>Good point, done. </c> 

b) I think 'and the various Ethernet interface' should be  'and the various PoS interface' 
 
<c>Done</c> 

Ch 4.2.2 page 6 :

It says

	The source addresses SHOULD belong to
	   one half of the range and the destination addresses to the other,
	   reflecting the DUT interface IPv6 address selection.

but this conflicts with (2 paragraphs later)

	The IPv6 source and destination addresses SHOULD appear not
	   to be directly connected to the NUD

and it also conflicts with chapter 3 where the same remark is made. Maybe it would be better to leave out or change 'reflecting the DUT interface IPv6 address selection' so that it would be more in line with the remark that the addresses should not appear to be directly connected to the NUD (actually, shouldn't it say
DUT instead of NUD)? 
 
<c> You are right about the NUD in that sentence, it should be DUT. Made the change.
The two statements are not contradicting each other. The first simply recommends, in acordance with RFC2544, to split the addresses on two groups, corresponding to each interface. The interface address should belong to the range used for that side. The scond statement say that the address used for sources or destinations should not belong to the subnet of the interface even though they belong to the half assigned to that "side" of the router.
</c> 

Ch. 5.2.2 page 10 : 

This is probably me not understanding something, but here and also in RF2544 they mention that in case of the 25 filters, the last one should allow the traffic. 
But when I look at the example give in RFC2544 and in the draft it shows:
12 deny filters
1 allow filter
12 deny filters
deny all

Why is the allow filter in the middle if the explanation given in RFC2544 says it should be at the end? 
 
<c>Sven, this is a very good point. I went over RFC 2544 sections again and Idon't think I have a good answer. I understand the concern about possible reordering of the filter instructions but the filter example is not clearly described in that context. In order to trully test with 25 filters we should have the permit statement last. I am wondering if anyone on the alias, maybe Scott, can shed some light on this aspect.
</c> 

Ch. 6 page 10

a) You reference twice to Ch. 5.3 , it should be Ch. 4.3 
<c>Corrected</c> 
b) Looking at 4.3, it says:

	All IPv6 test traffic containing extension headers SHOULD contain a
	   combination of two or more EH. 

but in this chapter it says:

	IPv6 traffic with no extension headers
	IPv6 traffic with one extension header from the list in section 5.3
	IPv6 traffic with the chain of extension headers described in section 5.3

I'm wondering why there's a difference in the amount of EH's to use. 4.3 makes no reference to testing with only one EH. 
 
<c>Very good point. We received strong feedback that we should include benchmarking for traffic with single EH. Made the changes neccesary to maintain consistency. </c> 

Many thanks,
Sven.

_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg